Package org.kapott.hbci.GV_Result

## Class GVRWPDepotList.Entry

- java.lang.Object
- - org.kapott.hbci.GV_Result.GVRWPDepotList.Entry

Enclosing class:
  GVRWPDepotList

    public static final class GVRWPDepotList.Entry
    extends java.lang.Object

Ein Eintrag zu genau einem Depot

### Nested Class Summary

Nested Classes
`static class` `GVRWPDepotList.Entry.Gattung` Enhält Informationen zu einer Wertpapiergattung

### Field Summary

Fields
`Konto` `depot` Depotkonto, auf das sich der Eintrag bezieht.
`static int` `SALDO_TYPE_STCK`
`static int` `SALDO_TYPE_WERT`
`java.util.Date` `timestamp` Zeitpunkt der Erstellung dieser Daten
`BigDecimalValue` `total` Gesamtwert des Depots (optional!)

### Constructor Summary

Constructors
`Entry()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addEntry​(GVRWPDepotList.Entry.Gattung gattung)`
`GVRWPDepotList.Entry.Gattung[]` `getEntries()` Gibt ein Array mit Informationen über alle Wertpapiergattungen zurück, die in diesem Depot gehalten werden.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### SALDO_TYPE_STCK

    public static final int SALDO_TYPE_STCK

See Also:
  Constant Field Values

#### SALDO_TYPE_WERT

    public static final int SALDO_TYPE_WERT

See Also:
  Constant Field Values

#### timestamp

    public java.util.Date timestamp

Zeitpunkt der Erstellung dieser Daten

#### depot

    public Konto depot

Depotkonto, auf das sich der Eintrag bezieht.

#### total

    public BigDecimalValue total

Gesamtwert des Depots (optional!)

### Constructor Detail

#### Entry

    public Entry()

### Method Detail

#### addEntry

    public void addEntry​(GVRWPDepotList.Entry.Gattung gattung)

#### getEntries

    public GVRWPDepotList.Entry.Gattung[] getEntries()

Gibt ein Array mit Informationen über alle Wertpapiergattungen zurück, die in diesem Depot gehalten werden. Der Rückgabewert ist niemals `null`, die Größe des Arrays kann aber 0 sein.

Returns:
  Array mit Informationen über Wertpapiergattungen

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`